org.apache.ignite.internal.processors.cache

## Class GridCacheUpdateAtomicResult

- java.lang.Object
- - org.apache.ignite.internal.processors.cache.GridCacheUpdateAtomicResult

    public class GridCacheUpdateAtomicResult
    extends Object

Cache entry atomic update result.

### Constructor Summary

Constructors
Constructor and Description
`GridCacheUpdateAtomicResult(boolean success, CacheObject oldVal, CacheObject newVal, IgniteBiTuple<Object,Exception> res, long newTtl, long conflictExpireTime, GridCacheVersion rmvVer, GridCacheVersionConflictContext<?,?> conflictRes, boolean sndToDht)` Constructor.

### Method Summary

Methods
`IgniteBiTuple<Object,Exception>` `computedResult()`
`long` `conflictExpireTime()`
`GridCacheVersionConflictContext<?,?>` `conflictResolveResult()`
`long` `newTtl()`
`CacheObject` `newValue()`
`CacheObject` `oldValue()`
`GridCacheVersion` `removeVersion()`
`boolean` `sendToDht()`
`boolean` `success()`
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### GridCacheUpdateAtomicResult

    public GridCacheUpdateAtomicResult(boolean success,
                               @Nullable
                               CacheObject oldVal,
                               @Nullable
                               CacheObject newVal,
                               @Nullable
                               IgniteBiTuple<Object,Exception> res,
                               long newTtl,
                               long conflictExpireTime,
                               @Nullable
                               GridCacheVersion rmvVer,
                               @Nullable
                               GridCacheVersionConflictContext<?,?> conflictRes,
                               boolean sndToDht)

Constructor.

Parameters:
  `success` - Success flag.
  `oldVal` - Old value.
  `newVal` - New value.
  `res` - Value computed by the `EntryProcessor`.
  `newTtl` - New TTL.
  `conflictExpireTime` - Explicit DR expire time (if any).
  `rmvVer` - Version for deferred delete.
  `conflictRes` - DR resolution result.
  `sndToDht` - Whether update should be propagated to DHT node.

### Method Detail

#### computedResult

    @Nullable
    public IgniteBiTuple<Object,Exception> computedResult()

Returns:
  Value computed by the `EntryProcessor`.

#### success

    public boolean success()

Returns:
  Success flag.

#### oldValue

    @Nullable
    public CacheObject oldValue()

Returns:
  Old value.

#### newValue

    @Nullable
    public CacheObject newValue()

Returns:
  New value.

#### newTtl

    public long newTtl()

Returns:
  `GridCacheUtils.TTL_NOT_CHANGED` if TTL did not change, otherwise new TTL.

#### conflictExpireTime

    public long conflictExpireTime()

Returns:
  Explicit conflict expire time (if any). Set only if it is necessary to propagate concrete expire time value to DHT node. Otherwise set to `GridCacheUtils.EXPIRE_TIME_CALCULATE`.

#### removeVersion

    @Nullable
    public GridCacheVersion removeVersion()

Returns:
  Version for deferred delete.

#### conflictResolveResult

    @Nullable
    public GridCacheVersionConflictContext<?,?> conflictResolveResult()

Returns:
  DR conflict resolution context.

#### sendToDht

    public boolean sendToDht()

Returns:
  Whether update should be propagated to DHT node.

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

2015 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 1.0.0
Release Date | : March 31 2015